import Link from 'next/link';
import { ProjectCard } from '@/components/ProjectCard/ProjectCard';
import { projects } from '@/data/projects';

export default function Home() {
  return (
    <div className="container">
      <section className="intro">
        <h1>Hi! I'm Charlotte</h1>
        <h2>About Me</h2>
        <p>I&apos;m a cybersecurity student from the Northeast USA. I currently work as a security engineer at the Leahy Center in Burlington, VT.</p>
        <p>Most of my coding projects are hosted on my Forgejo server at <a href="https://git.charlotte.sh/" target="_blank" rel="noopener noreferrer">git.charlotte.sh</a></p>
        <p>Hiring? you can find my resume <Link href="/resume">here</Link></p>
      </section>

      <section className="projects">
        <h2>My Projects</h2>
        <div className="project-grid">
          {projects.map((project) => (
            <ProjectCard key={project.id} project={project} />
          ))}
        </div>
      </section>
    </div>
  );
}