import { ExternalLink } from 'lucide-react';
import { Project } from '@/types';

export function ProjectCard({ project }: { project: Project }) {
  return (
    <article className="project">
      <h3>{project.title}</h3>
      <p>{project.description}</p>
      <a href={project.sourceUrl} target="_blank" rel="noopener noreferrer">
        Source Code
        <ExternalLink className="icon-small" aria-hidden="true" />
        <span className="visually-hidden">(opens in new tab)</span>
      </a>
    </article>
  );
}