import { ExperienceItem } from './ExperienceItem';

export function ExperienceSection() {
  const leahyCenterExperience = {
    company: "The Leahy Center",
    location: "Burlington, VT",
    positions: [
      {
        title: "Lead Security Engineer",
        dateRange: "May 2025 — Present",
        responsibilities: [
            "Planned, led, and executed a full-stack migration from VMware to Proxmox VE using iDRAC for remote server management"
        ]
      },
      {
        title: "Security Engineer",
        dateRange: "Jan 2024 — May 2025",
        responsibilities: [
            "Maintained Elastic Stack SIEM infrastructure, ensured uptime, and automated security operations",
            "Optimized a threat detection engine to expand security coverage while reducing false positives",
            "Collaborated with analysts on alert response"
        ]
      },
      {
        title: "Security Operations Intern",
        dateRange: "Oct 2023 — Dec 2023",
        responsibilities: [
            "Learning the ropes 🙃"
        ]
      }
    ]
  };

  return (
    <section className="resume-section">
      <h2>Experience</h2>
      <ExperienceItem experience={leahyCenterExperience} />
    </section>
  );
}